Bug 1258061 - [RFE] PXELess Discovery
[RFE] PXELess Discovery
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Discovery Plugin (Show other bugs)
6.1.0
Unspecified Unspecified
medium Severity medium (vote)
: 6.1.5
: --
Assigned To: Lukas Zapletal
Sachin Ghai
: FutureFeature
Depends On:
Blocks: 260381
  Show dependency treegraph
 
Reported: 2015-08-28 16:17 EDT by Mike McCune
Modified: 2017-02-23 14:47 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-15 04:19:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike McCune 2015-08-28 16:17:21 EDT
As a user of Satellite 6, I would like a boot disk option that provides the following:

* A single ISO that allows me to provision a system against any configured hostgroup on the Satellite. 
* The ISO would not require me to pre-create a host in Satellite.
* The ISO would allow me to provide a user provided IP address or use DHCP to find the Satellite server. 
* The ISO will be generated on the Satellite
* The ISO will provide a means to provision via a Capsule
* The functionality to generate the ISO will be exposed via the API, UI & CLI.
* Functionality to provide a local IP and VLAN to the target host
Comment 1 Adrian Likins 2015-09-02 11:09:34 EDT
This sounds like a super useful feature to have baked into the default RHEL installer ISO's[1]. An anaconda add-on could support this for RHEL7, RHEL6 would be more custom.

But some support for a mechanism of discovery of Satellite servers (or RHCI, or Sat5, or 3rd party tools) would be useful. 

For RHEL7, an anaconda add on could discover[1] a Satellite on the network, and offer to register to it (easiest would be via the kickstart config it creates for use by initial-setup, but at somepoint supporting registration directly from anaconda could be possible).

[1] If not baked into a default install of RHEL itself. With reasonable security precautions, attempting to discover a Sat server on boot would be reasonable

[2] Discovery mechanism unknown, but there are plenty of options. It would be possible to even support verifying a discovered Sat is verified by RH (with a RH signed server cert pinned to a discovery specific ca, or something signed with a RH provided gpg key baked into anaconda.)
Comment 2 Lukas Zapletal 2015-10-26 03:57:41 EDT
Adrian, thanks for comments. We are done with the feature, it will be z-stream Feature Errata. More info here:

http://theforeman.org/plugins/foreman_discovery/4.1/index.html
https://www.youtube.com/watch?v=jKZppAuz6kQ

I think it will work in your use case just fine.
Comment 3 Lukas Zapletal 2015-10-26 05:10:28 EDT
Bryan, can you correct flags? I am preparing to merge the stuff downstream now. Looks like the flags are incorrect.
Comment 10 Sachin Ghai 2015-11-12 05:23:12 EST
As per the original description, I'm not familiar with any functionality on:

* The functionality to generate the ISO will be exposed via the API, UI & CLI.

Can someone please elaborate what does that mean ? and if it exists in satellite 6.1.4 composes ?
Comment 11 Lukas Zapletal 2015-11-13 09:38:27 EST
That's not valid requirement, discovery images are not generated by Satellite6, but shipped with it. We have the remaster script for that.
Comment 12 Sachin Ghai 2015-11-27 10:19:55 EST
Following requirement in RFE description doesn't fall in current implementation:

- The functionality to generate the ISO will be exposed via the API, UI & CLI
- The ISO will be generated on the Satellite

Other than above, all are implemented in pxe-less feature. If anyone expecting above two requirements then please file new RFE.

Moving this bz to verified as all requirements (except above two) are implemented in Sat 6.1.5 compose2(Satellite-6.1.0-RHEL-7-20151125.0)
Comment 14 errata-xmlrpc 2015-12-15 04:19:16 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2622

Note You need to log in before you can comment on or make changes to this bug.